{% autoescape false %}
<!doctype html>
<html lang="fr">
	<head>
		<meta charset="utf-8">
		<title>{{ title }}</title>
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<meta name="description" content="Plateforme de communication multicanal Gironde Num&eacute;rique">
		<meta name="author" content="Gironde Numérique">
		<link type="image/png" rel="icon" sizes="96x96" href="{{ domain }}/resources/img/girnum.ico" />

        {% if content %}
            <meta property="og:description" content="{{ content.text|striptags }}" />
            <meta property="og:type" content="website" />
            <meta property="og:url" content="{{ domain }}" />
            {% if content.illustration|length %}
                <meta property="og:image" content="{{ domain }}{{ content.illustration.url }}" />
                <meta itemprop="image" content="{{ domain }}{{ content.illustration.url }}" />
                <meta name="twitter:image" content="{{ domain }}{{ content.illustration.url }}">
            {% endif %}
            <meta property="og:title" content="{{ content.title }}" />
            <meta property="og:site_name" content="{{ organization.generalParameters.label }}" />
            <meta itemprop="name" content="{{ organization.generalParameters.label }}" />
            <meta itemprop="description" content="{{ content.text|striptags }}" />
            <meta property="og:locale" content="fr_FR" />
            <meta property="fb:app_id" content="{{ helper.config('facebook.application_key') }}" />
            <meta name="twitter:card" content="summary_large_image">
            <meta name="twitter:site" content="{{ domain }}">
            <meta name="twitter:creator" content="{{ organization.generalParameters.label }}">
            <meta name="twitter:title" content="{{ content.title }}">
            <meta name="twitter:description" content="{{ content.text|striptags }}">
        {% endif %}

        <style>
            html[gn-iframe] header,
            html[gn-iframe] nav,
            html[gn-iframe] footer {
                display: none;
            }

            html[gn-iframe] body {
                margin-bottom: 1rem;
            }
        </style>
        <script>
            if (window.top !== window.self) {
                htmlElement = document.querySelector("html");
                htmlElement.setAttribute('gn-iframe', true);
            }
        </script>

        <link rel="stylesheet" href="/assets/bootstrap/css/bootstrap.min.css" />
        <link rel="stylesheet" href="/assets/bootstrap-table/dist/bootstrap-table.min.css" />
        <link rel="stylesheet" href="/assets/fontawesome/css/all.min.css" />
        <link rel="stylesheet" href="/assets/dsfr/dist/dsfr.min.css" />
        <link rel="stylesheet" href="/assets/dsfr/dist/utility/utility.min.css" />
        <link type="text/css" rel="stylesheet" href="{{ domain }}/resources/css/style.css" />

	</head>
	<body>
		<header id="domain-header" role="banner" class="fr-header fr-mb-2w" style="color:{{ organization.generalParameters.textColor }};">
			<div class="fr-header__body"
				{% if organization.generalParameters.gradientColor %}
					style="background:linear-gradient(90deg, {{ organization.generalParameters.backgroundColor }} 0%, {{ organization.generalParameters.gradientColor }} 80%);"
				{% else %}
					style="background-color:{{ organization.generalParameters.backgroundColor }};"
				{% endif %}
			>
				<div class="fr-container">
					<div class="fr-header__body-row">
						<div class="fr-header__brand">
							<div class="fr-header__brand-top">
								<div class="fr-header__logo">
									{% if organization.generalParameters.logo %}
										<img class="domain-logo" src="{{ organization.generalParameters.logo.url }}"
											alt="Logo {{ organization.generalParameters.label }}" title="{{ organization.generalParameters.label }}" />
									{% endif %}
								</div>
							</div>
							<div class="fr-header__service">
								<p class="fr-header__service-title">{{ organization.generalParameters.label }}</p>
								<p class="fr-header__service-tagline">Communications</p>
							</div>
						</div>
						<div class="fr-header__tools">
							<div class="fr-header__tools-links">
								<ul class="fr-btns-group">
									{% if user %}
										<li><span class="fr-btn">{{ user.firstname }} {{ user.lastname }}<br />({{ user.email }})</span></li>
										<li><a class="fr-btn fr-icon-logout-box-r-line" href="{{ domain }}/action/logout">D&eacute;connexion</a></li>
									{% elseif title != 'Connexion' %}
										<li><a class="fr-btn fr-icon-lock-line" href="{{ domain }}/connexion">Se connecter</a></li>
									{% endif %}
								</ul>
							</div>
						</div>
					</div>
				</div>
			</div>
            <!-- Navigation principale -->
            <div class="fr-header__menu fr-modal" id="modal-main-menu" aria-labelledby="fr-btn-menu-mobile">
                <div class="fr-container">
                    <button class="fr-btn--close fr-btn" aria-controls="modal-main-menu">Fermer</button>
                    <div class="fr-header__menu-links"></div>
                </div>
            </div>
		</header>
        <main role="main">
            <div class="fr-container">
                <div class="fr-grid-row">
                    {% if user %}
                    <div class="fr-col-12">
                        {% if breadcrumb|length > 0 %}
                        <nav role="navigation" class="fr-breadcrumb" aria-label="Vous &ecirc;tes ici :">
                            <button class="fr-breadcrumb__button" aria-expanded="false" aria-controls="breadcrumb">Voir le
                                fil d’Ariane</button>
                            <div class="fr-collapse" id="breadcrumb">
                                <ol class="fr-breadcrumb__list">
                                    <li><a href="{{ domain }}/" class="fr-breadcrumb__link">Accueil</a></li>
                                    {% for url, path in breadcrumb %}
                                    <li>
                                        <a class="fr-breadcrumb__link" {% if url=='#' %} aria-current="page" {% else %}
                                            href="{{ url }}" {% endif %}>{{ path }}</a>
                                    </li>
                                    {% endfor %}
                                </ol>
                            </div>
                        </nav>
                        {% else %}
                        <div class="fr-p-4w">&nbsp;</div>
                        {% endif %}
                    </div>
                    {% endif %}
                    {% block menu %}{% endblock %}
                    {% include 'message.html' %}
                    {% block content %}{% endblock %}
                </div>
            </div>
        </main>

		<footer class="fr-footer fr-mt-3w" role="contentinfo" id="footer">
            <div class="fr-container">
                <div class="fr-footer__body">
                    <div class="fr-footer__brand fr-enlarge-link">
                        <a href="{{ domain }}" title="Retour &agrave; l'accueil">
                            <p class="fr-logo none" title="{{ organization.generalParameters.label }}">
                                <a href="{{ organization.generalParameters.webSiteUrl }}" target="_blank">{{ organization.generalParameters.label }}</a>
                            </p>
                        </a>
                    </div>
                    <div class="fr-footer__content">
                        <p class="fr-footer__content-desc">Liste des communications</p>
                        <ul class="fr-footer__content-list">
                            {% if organization.generalParameters.contactUrl %}
                                <li class="fr-footer__content-item">
                                    <a class="fr-footer__content-link" href="{{ organization.generalParameters.contactUrl }}">Nous contacter</a>
                                </li>
                            {% else %}
                                {% if organization.generalParameters.email %}
                                    <li class="fr-footer__content-item">
                                        <a class="fr-footer__content-link" href="mailto:{{ organization.generalParameters.email }}">Nous &eacute;crire par email</a>
                                    </li>
                                {% endif %}
                                {% if organization.generalParameters.phoneNumber %}
                                    <li class="fr-footer__content-item">
                                        <span class="fr-footer__content-link">{{ organization.generalParameters.phoneNumber }}</span>
                                    </li>
                                {% endif %}
                            {% endif %}
                        </ul>
                    </div>
                </div>
                <div class="fr-footer__bottom">
                </div>
            </div>
        </footer>

		<noscript>
            <style type="text/css">
                main {
                    display: none;
                }

                noscript {
                    order: -1;
                    height: 100%;
                }
            </style>
            <div class="fr-container">
                <div class="fr-grid-row fr-grid-row--center fr-grid-row--middle" style="height:100%">
                    <div class="fr-col-12 fr-col-md-10 fr-col-lg-8">
                        <div role="alert" class="fr-alert fr-alert--warning fr-mt-4w">
                            <p class="fr-alert__title">Veuillez activer JavaScript dans les pr&eacute;f&eacute;rences de
                                votre
                                navigateur pour acc&egrave;der &agrave; cette page.</p>
                        </div>
                    </div>
                </div>
            </div>
        </noscript>
        <script>
            // Options disponibles à l'initialisation du DSFR
            window.dsfr = {
                verbose: false,
                mode: 'runtime'
            };
        </script>
        <script type="module" src="/assets/dsfr/dist/dsfr.module.min.js"></script>
        <script nomodule src="/assets/dsfr/dist/dsfr.nomodule.min.js"></script>
        <script src="/assets/jquery/jquery.min.js"></script>
        <script src="/assets/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script type="text/javascript" src="{{ domain }}/resources/javascript/girnum.js{{ assets_cache_busting }}"></script>
        <script type="text/javascript" src="{{ domain }}/resources/javascript/main.js{{ assets_cache_busting }}"></script>

        {% block script %}{% endblock %}

        </body>
    </html>
{% endautoescape %}
